#pragma once

#include "CoreMinimal.h"
#include "CategoryRules.generated.h"

USTRUCT(BlueprintType)
struct FCategoryRules
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FString> Include;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FString> Exclude;

public:
	HOUDINIENGINERUNTIME_API FCategoryRules();
};

FORCEINLINE uint32 GetTypeHash(const FCategoryRules) { return 0; }
